<template>
  <div class="listTask">
    <hr>
    <h4 class="title" >Your Todos</h4>
    <ol>
      <li class="task" v-for="todo in this.todos" v-bind:key="todo.id">
        <p>{{ todo.text }}</p>
      </li>
    </ol>
  </div>
</template>
<script>

import axios from 'axios';

export default {
  name: "listTask",
  data() {
    return {
      todos: [],
      text: "",
      id : 0
    };
  },
  mounted() {
    this.$root.$on("connect", () => {
      this.getTodos()
    })
  },

  beforeMount(){
    this.getTodos()
  },

  methods: {
    getTodos() {
      axios.get("http://localhost:1323/listTodo").then((response) => {
        this.todos = response.data;
        this.id = 0
        if (this.todos != null){
            this.id = this.todos.length
        }
        this.$emit('eventname', this.id)
      })
    },
  },
}
</script>

<style> </style>
